SummaryTraffic Summary

Traffic Summary

Returns aggregate traffic metrics for the selected date range.

curl -X POST "https://api.5centscdn.com/v2/analytics/traffic/summary" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY" \
  -d '{
  "r": "2026-01-01 00:00:00 - 2026-01-31 23:59:59",
  "resource_type": "push",
  "resource_hashes": [
    "abc12hash",
    "def34hash"
  ],
  "granularity": "1h"
}'
{
  "summary": {
    "traffic": {
      "bytes": 1262343731219,
      "formatted": "1.26 TB"
    },
    "traffic_cached": {
      "bytes": 864713098005,
      "formatted": "864.71 GB"
    },
    "hits": {
      "count": 1172166,
      "formatted": "1.172M"
    },
    "requests": {
      "count": 1646341,
      "formatted": "1.646M"
    },
    "unique_visitors": {
      "count": 27056,
      "formatted": "27.06k"
    },
    "caching_efficiency": {
      "percent": 0.71,
      "formatted": "+71%"
    },
    "traffic_efficiency": {
      "percent": 0.69,
      "formatted": "+69%"
    }
  }
}
POST
/analytics/traffic/summary
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

Content-Typestring
Required

The media type of the request body

Options: application/json
rstring
Required

Date range in "YYYY-MM-DD HH:mm:ss - YYYY-MM-DD HH:mm:ss" format (UTC).

resource_typestring

Resource category to filter by. Use all to include all resources (omit resource_hashes when using all).

Options: push, pull, all, livestream
resource_hashesarray

Array of resource hashes to filter by (from /analytics/traffic/resources). Required when resource_type is push, pull, or livestream. Omit when resource_type is all.

granularitystring

Defines the time interval for data aggregation.

Options: 1m, 5m, 15m, 30m, 1h, 3h, 6h, 12h, 24h
Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Body

application/json
rstring
Required

Date range in "YYYY-MM-DD HH:mm:ss - YYYY-MM-DD HH:mm:ss" format (UTC).

Example:
2026-01-01 00:00:00 - 2026-01-31 23:59:59
resource_typestring

Resource category to filter by. Use all to include all resources (omit resource_hashes when using all).

Allowed values:pushpullalllivestream
resource_hashesarray

Array of resource hashes to filter by (from /analytics/traffic/resources). Required when resource_type is push, pull, or livestream. Omit when resource_type is all.

Example:
["abc12hash","def34hash"]
granularitystring

Defines the time interval for data aggregation.

Allowed values:1m5m15m30m1h3h6h12h24h

Responses

summaryobject

Aggregated traffic totals for the requested period and resource set.